"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const psy = require("psychopiggy");
const scuttlespace_api_common_1 = require("scuttlespace-api-common");
const pool_1 = require("../pool");
function createPost(args) {
    return __awaiter(this, void 0, void 0, function* () {
        const pool = pool_1.getPool();
        const params = new psy.Params({
            allow_comments: args.allowComments,
            category_id: args.categoryId,
            external_id: args.externalId,
            markdown: args.markdown,
            slug: args.slug,
            tags: args.tags.join(","),
            title: args.title
        });
        yield pool.query(`
    INSERT INTO pub_post(${params.columns()})
    VALUES(${params.ids()})`, params.values());
        return new scuttlespace_api_common_1.ValidResult(10);
    });
}
exports.createPost = createPost;
//# sourceMappingURL=create.js.map